{ pkgs ? import <nixpkgs> { }, self }:
with pkgs;
let
    version = "0.0.1";
in
pkgs.buildGo124Module {
  pname = "catie";
  inherit version;

  src = self;

  buildInputs = [
    ndi
  ];

  buildFlags = [
    "CGO_CFLAGS=-I${pkgs.ndi}/include"
    "CGO_LDFLAGS=-L${pkgs.ndi}/lib -lndi"
  ];

  tags = [ ];

  #vendorHash = lib.fakeHash;
  vendorHash = "sha256-d0dcW2uV+a2GLBcY3FgNXNeajiJjFLEyCgqwZsEpW60=";
  proxyVendor = true;
}